com.mockobjects

## Class ExceptionalReturnValue

- java.lang.Object
- - com.mockobjects.ExceptionalReturnValue

    public class ExceptionalReturnValue
    extends java.lang.Object

Sequence of exception values as required by MockMaker This is a generic class that should have been introduced to the mockobjects code stream instead of being separately included in org.mockobjects. It is possibly similar to a ReturnObjectList?

### Constructor Summary

Constructors
Constructor and Description
`ExceptionalReturnValue(java.lang.Throwable exception)`

### Method Summary

Methods
`java.lang.Throwable` `getException()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExceptionalReturnValue

    public ExceptionalReturnValue(java.lang.Throwable exception)

### Method Detail

#### getException

    public java.lang.Throwable getException()